;  ***************************************************************************
;  *                                                                         *
;  * File:   beep.asm             Version  1.01            Date: 1998-12-05  *
;  *                                                                         *
;  * Copyright (C) 1998 by Kostis Netzwerkberatung                           *
;  * Talstr. 25, D-63322 Rdermark, Tel. +49 6074 881056, FAX 881058         *
;  * kosta@kostis.net (Kosta Kostis), http://www.kostis.net/                 *
;  *                                                                         *
;  ***************************************************************************
;  *                                                                         *
;  * Function:                                                               *
;  *     - beep                                                              *
;  *                                                                         *
;  ***************************************************************************
;  *                                                                         *
;  * Comments:                                                               *
;  *                                                                         *
;  * With Microsoft's Macro Assembler 6.0 type:   ml /AT /cp beep.asm        *
;  * With Borland's   Turbo Assembler 2.5 type:   tasm /ml beep.asm          *
;  *                                              tlink /t beep.obj          *
;  *                                                                         *
;  ***************************************************************************
;  *                                                                         *
;  * History:                                                                *
;  *    1998-12-05: KK V1.01                                                 *
;  *        - putch instead of puts                                          *
;  *    1998-12-01: KK V1.00                                                 *
;  *        - initial coding                                                 *
;  *                                                                         *
;  ***************************************************************************

.MODEL		TINY

.CONST

;  ***************************************************************************
;
;	MS-DOS service functions
;
;  ***************************************************************************

INT_DOS		EQU	21h		; MS-DOS Service Interrupt
   DOS_PUTCH	EQU	02h		;    display chararcter in dl
   DOS_TERM	EQU	4Ch		;    terminate program

;  ***************************************************************************
;
;	personal C style macros to ease coding
;
;  ***************************************************************************

doscall		MACRO	Function		; call DOS function

		mov	ah,Function		;
		int	INT_DOS			;

		ENDM				;

term		MACRO	RetVal			; exit program

		mov	al,RetVal		;
		doscall	DOS_TERM

		ENDM				;

putch		MACRO	Char			; write char to stdout

		mov	dl,Char			;
		doscall	DOS_PUTCH		;

		ENDM				;

;  ***************************************************************************
;
;	Program Messages
;
;  ***************************************************************************

BEL		DB	7

;  ***************************************************************************
;
;	Main Program
;
;  ***************************************************************************

.CODE

		ORG	100h

start:		putch	BEL			; display BEL (beep)
		term	0			; terminate program

		END	start			;
